var $AdfDhtmlInputChooseBindingUtils$$ = {$registerBinding$:function($force$$2$$, $chooserId$$, $inputId$$) {
  $AdfAssert$$.$assertString$($chooserId$$);
  $AdfAssert$$.$assertString$($inputId$$);
  var $list$$1$$ = this.$_getList$();
  if (null == $list$$1$$[$chooserId$$] || $force$$2$$) {
    $list$$1$$[$chooserId$$] = $inputId$$, this.$_saveList$($list$$1$$);
  }
}};
$goog$exportSymbol$$("AdfDhtmlInputChooseBindingUtils.registerBinding", $AdfDhtmlInputChooseBindingUtils$$.$registerBinding$);
$AdfDhtmlInputChooseBindingUtils$$.$returnToInputComponent$ = function $$AdfDhtmlInputChooseBindingUtils$$$$returnToInputComponent$$($chooseComponent$$2$$, $hidePopup$$) {
  var $input$$7$$ = this.$getInputComponent$($chooseComponent$$2$$.$getClientId$());
  null != $input$$7$$ && $input$$7$$.$getPeer$().$handleReturnFromChooseComponent$($input$$7$$, $hidePopup$$);
};
$goog$exportSymbol$$("AdfDhtmlInputChooseBindingUtils.returnToInputComponent", $AdfDhtmlInputChooseBindingUtils$$.$returnToInputComponent$);
$AdfDhtmlInputChooseBindingUtils$$.$updateChooseComponentProperty$ = function $$AdfDhtmlInputChooseBindingUtils$$$$updateChooseComponentProperty$$($inputComponent_propertyValue$$9$$, $chooseComponent$$3_chooseId$$, $inputPropertyName$$, $choosePropertyName$$) {
  null != $chooseComponent$$3_chooseId$$ && ($chooseComponent$$3_chooseId$$ = $AdfPage$$.$PAGE$.$findComponent$($chooseComponent$$3_chooseId$$), null != $chooseComponent$$3_chooseId$$ && ($inputComponent_propertyValue$$9$$ = $inputComponent_propertyValue$$9$$.$getProperty$($inputPropertyName$$), $chooseComponent$$3_chooseId$$.$getPeer$().$handleUpdateFromInputComponent$($chooseComponent$$3_chooseId$$, $choosePropertyName$$, $inputComponent_propertyValue$$9$$)));
};
$goog$exportSymbol$$("AdfDhtmlInputChooseBindingUtils.updateChooseComponentProperty", $AdfDhtmlInputChooseBindingUtils$$.$updateChooseComponentProperty$);
$AdfDhtmlInputChooseBindingUtils$$.$updateInputComponentProperty$ = function $$AdfDhtmlInputChooseBindingUtils$$$$updateInputComponentProperty$$($chooseComponent$$4$$, $choosePropertyName$$1$$, $inputPropertyName$$1$$, $propertyValue$$10$$) {
  var $inputComponent$$1$$ = this.$getInputComponent$($chooseComponent$$4$$.$getClientId$());
  null != $inputComponent$$1$$ && (void 0 === $propertyValue$$10$$ && ($propertyValue$$10$$ = $chooseComponent$$4$$.$getProperty$($choosePropertyName$$1$$)), $inputComponent$$1$$.$getPeer$().$handleUpdateFromChooseComponent$($inputComponent$$1$$, $inputPropertyName$$1$$, $propertyValue$$10$$));
};
$goog$exportSymbol$$("AdfDhtmlInputChooseBindingUtils.updateInputComponentProperty", $AdfDhtmlInputChooseBindingUtils$$.$updateInputComponentProperty$);
$AdfDhtmlInputChooseBindingUtils$$.$getInputComponent$ = function $$AdfDhtmlInputChooseBindingUtils$$$$getInputComponent$$($chooserId$$1_inputId$$1$$) {
  var $list$$2$$ = this.$_getList$();
  if (null == $list$$2$$) {
    return null;
  }
  $chooserId$$1_inputId$$1$$ = $list$$2$$[$chooserId$$1_inputId$$1$$];
  return null != $chooserId$$1_inputId$$1$$ ? $AdfPage$$.$PAGE$.$findComponent$($chooserId$$1_inputId$$1$$) : null;
};
$goog$exportSymbol$$("AdfDhtmlInputChooseBindingUtils.getInputComponent", $AdfDhtmlInputChooseBindingUtils$$.$getInputComponent$);
$AdfDhtmlInputChooseBindingUtils$$.getChooseId = function $$AdfDhtmlInputChooseBindingUtils$$$getChooseId$($component$$1186$$) {
  var $chooseId$$1$$ = $component$$1186$$.getChooseId();
  if (null != $chooseId$$1$$) {
    var $chooseComponent$$5$$ = $component$$1186$$.$findComponent$($chooseId$$1$$);
    if ($chooseComponent$$5$$) {
      return $chooseComponent$$5$$.$getClientId$();
    }
    $AdfLogger$$.$LOGGER$.warning("For the component with the id '" + $component$$1186$$.$getClientId$() + "', no component with the choose id '" + $chooseId$$1$$ + "' was found");
  }
  return null;
};
$goog$exportSymbol$$("AdfDhtmlInputChooseBindingUtils.getChooseId", $AdfDhtmlInputChooseBindingUtils$$.getChooseId);
$AdfDhtmlInputChooseBindingUtils$$.$_getList$ = function $$AdfDhtmlInputChooseBindingUtils$$$$_getList$$() {
  var $list$$3$$ = $AdfPage$$.$PAGE$.$getPageProperty$($AdfDhtmlInputChooseBindingUtils$$.$_PROPERTY_NAME$);
  null == $list$$3$$ && ($list$$3$$ = {});
  return $list$$3$$;
};
$AdfDhtmlInputChooseBindingUtils$$.$_saveList$ = function $$AdfDhtmlInputChooseBindingUtils$$$$_saveList$$($list$$4$$) {
  $AdfPage$$.$PAGE$.$setPageProperty$($AdfDhtmlInputChooseBindingUtils$$.$_PROPERTY_NAME$, $list$$4$$);
};
$AdfDhtmlInputChooseBindingUtils$$.$_PROPERTY_NAME$ = "AdfDhtmlInputChooseBindingUtils.binding";
